Get Replication Event Progress
GET
/cluster/replication/events/{id}/progress
const url = 'https://sylve.lan:8181/api/cluster/replication/events/1/progress';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://sylve.lan:8181/api/cluster/replication/events/1/progress \ --header 'Authorization: <Authorization>'Get live progress for a replication event from the local or selected cluster node
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
integer
Replication Event ID
Query Parameters
Section titled “Query Parameters”nodeId
string
Cluster node ID
Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
object
event
object
completedAt
string
createdAt
string
error
string
eventType
string
guestId
integer
guestType
string
id
integer
message
string
output
string
policyId
integer
scope
string
sourceNodeId
string
startedAt
string
status
string
targetNodeId
string
transitionRunId
string
updatedAt
string
movedBytes
integer
progressPercent
number
totalBytes
integer
error
string
message
string
status
string
Examplegenerated
{ "data": { "event": { "completedAt": "example", "createdAt": "example", "error": "example", "eventType": "example", "guestId": 1, "guestType": "example", "id": 1, "message": "example", "output": "example", "policyId": 1, "scope": "example", "sourceNodeId": "example", "startedAt": "example", "status": "example", "targetNodeId": "example", "transitionRunId": "example", "updatedAt": "example" }, "movedBytes": 1, "progressPercent": 1, "totalBytes": 1 }, "error": "example", "message": "example", "status": "example"}Bad Request
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Unauthorized
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Forbidden
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Replication Event or Cluster Node Not Found
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Internal Server Error
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Remote Node Failure
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Service Unavailable
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Remote Node Timeout
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}